#
# spec file for package opensc (Version 0.11.3)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libassuan-devel libattr libbz2-1 libbz2-devel libdb-4_5 libexpat-devel libexpat1 libgcc42 libgomp42 libltdl-3 libmudflap42 libopenct1 libopenssl-devel libopenssl0_9_8 libreadline5 libstdc++42 libtool libusb libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses ncurses-devel net-tools netcfg openct-devel openssl-certs pam pam-modules patch pcsc-lite pcsc-lite-devel perl perl-base permissions pkg-config popt post-build-checks pth readline-devel rpm sed sysvinit tar texinfo timezone util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           opensc
BuildRequires:  openssl-devel pkg-config readline-devel xorg-x11-devel
%if %suse_version > 1000
BuildRequires:  pcsc-lite-devel
%if %suse_version > 1020
BuildRequires:  libassuan-devel
%else
BuildRequires:  libassuan
%endif
%endif
%if %suse_version > 1010
BuildRequires:  openct-devel
%endif
Url:            http://www.opensc-project.org/opensc/
Version:        0.11.3
Release:        21.6
Group:          Hardware/Other
Summary:        OpenSC Smart Card Library
License:        LGPL v2.1 or later
Requires:       libopensc2 = %{version} pcsc-lite
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2
Source1:        http://www.opensc.org/files/doc/init_perso_guide.html
# Supress all ugly warnings related to required .so and .la files in the main package:
Source2:        %{name}-%{version}-rpmlintrc
Patch:          opensc-cardos-CVE-2008-2235.patch
Patch1:         %{name}-0.11.1-sizeof.patch
# PATCH-FIX-UPSTREAM opensc-svn-r3605.patch bnc480262 opensc-0.11.7 CVE-2009-0368 sbrabec@suse.cz -- Unrestricted private data access fix.
Patch2:         opensc-svn-r3605.patch

%description
OpenSC provides a set of libraries and utilities to access smart cards.
It mainly focuses on cards that support cryptographic operations. It
facilitates their use in security applications such as mail encryption,
authentication, and digital signature. OpenSC implements the PKCS#11
API. Applications supporting this API, such as Mozilla Firefox and
Thunderbird, can use it. OpenSC implements the PKCS#15 standard and
aims to be compatible with every software that does so, too.



Authors:
--------
    Juha Yrjl <jyrjola@cc.hut.fi>
    Antti Tapaninen <aet@cc.hut.fi>
    Timo Ters <timo.teras@iki.fi>
    Olaf Kirch <okir@suse.de>

%debug_package
%package -n libopensc2
License:        LGPL v2.1 or later
Group:          System/Libraries
Summary:        OpenSC Smart Card Library
Requires:       %{name} >= %{version}

%description -n libopensc2
OpenSC provides a set of libraries and utilities to access smart cards.
Its main focus is on cards that support cryptographic operations. It
facilitates their use in security applications such as mail encryption,
authentication, and digital signature. OpenSC implements the PKCS#11
API so applications supporting this API, such as Mozilla Firefox and
Thunderbird, can use it. OpenSC implements the PKCS#15 standard and
aims to be compatible with every software that does so, too.



Authors:
--------
    Juha Yrjl <jyrjola@cc.hut.fi>
    Antti Tapaninen <aet@cc.hut.fi>
    Timo Ters <timo.teras@iki.fi>
    Olaf Kirch <okir@suse.de>

%package devel
License:        GPL v2 or later
Group:          Development/Libraries/C and C++
Summary:        Additional files needed for OpenSC development
Requires:       %{name} = %{version} glibc-devel openct-devel openssl-devel pcsc-lite-devel

%description devel
This package contains files required to develop applications using the
OpenSC framework.



Authors:
--------
    Juha Yrjl <juha.yrjola@iki.fi>
    Antti Tapaninen <aet@cc.hut.fi>
    Timo Ters <timo.teras@iki.fi>
    Olaf Kirch <okir@caldera.de>

%prep
%setup -q
%patch -p1
%patch1
%patch2
chmod -x doc/svn2cl.xsl

%build
cp -a /usr/share/gettext/config.rpath .
autoreconf -f -i
%configure
make %{?jobs:-j%jobs}

%install
%makeinstall
# Install opensc.conf
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
install -m 644 etc/opensc.conf $RPM_BUILD_ROOT%{_sysconfdir}
# Copy init_perso.html to docs so it's installed
cp %{SOURCE1} .

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libopensc2 -p /sbin/ldconfig

%postun -n libopensc2 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING NEWS README doc/*.css doc/*.gif doc/*.html doc/ChangeLog init_perso_guide.html
%{_bindir}/*
%exclude %{_bindir}/*-config
%{_datadir}/opensc
# Note: .la and .so must be in the main package, required by ltdl:
%{_libdir}/*.la
%{_libdir}/*.so
%doc %{_mandir}/man?/*.*
%config %{_sysconfdir}/opensc.conf

%files -n libopensc2
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/*-config
%{_includedir}/opensc
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Mar 05 2009 - sbrabec@suse.cz
- Fixed card formatting with unrestricted private data access
  (bnc#480262, CVE-2009-0368).
* Mon Sep 01 2008 - sbrabec@suse.cz
- Check validity of SSL certificates for all Siemens CardOS M4
  cards (SCA and SCB are affected as well, bnc#413496#c6).
* Thu Jul 31 2008 - sbrabec@suse.cz
- Fixed initialization access rights for Siemens CardOS M4, added
  a security check to pkcs15-tool (bnc#413496, CVE-2008-2235)
* Thu Jul 26 2007 - sbrabec@suse.cz
- Updated to version 0.11.3:
  * make lots of internal functions and variables static.
  * fix 0 vs NULL in many places. fix ansi c style (void).
  * avoid variable names used also as glibc function (random etc.).
  * new code for deleting objects.
  * special hack for firefox.
  * suport for Athena APCOS cards added.
  * piv driver now supports bigger rsa keys too.
  * enabled pin caching by default.
  * use max_send_size 255 / max_recv_size 256 bytes by default.
  * increase pin buffer size to allow longer pin codes.
  * Added --read-ssk-key option to pkcs15-tool
  * use pkg-config for finding openct
  * use strlcpy function
  * use new pkcs11.h from scute with an open source license
  * add support for sha2 to pkcs15-crypt
  * add piv-tool for managing piv cards
  * add muscle driver
  * improved oberthur driver
  * add support for pcsc v2 part10
  * convert source files to utf-8
- Split package according to shared library packaging policy.
* Tue Feb 27 2007 - mvaner@suse.cz
- Fixing dodgy use of sizeof (#238660)
  - sizeof.patch
* Mon Oct 02 2006 - sbrabec@suse.cz
- Updated to version 0.11.1:
  * Update for piv pkcs#15 emulation
  * Improved TCOS driver for Uni Giesen Card
  * Handle size_t printf with "%%lu" and (unsigned long) cast
  * Add support for d-trust cards / improve micardo 2.1 driver
* Thu May 25 2006 - sbrabec@suse.cz
- Fixed build for old SuSE Linux versions.
* Thu May 11 2006 - sbrabec@suse.cz
- Fixed devel dependencies.
* Wed May 10 2006 - sbrabec@suse.cz
- Updated to version 0.11.0.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 05 2006 - ro@suse.de
- added unpackaged so-links to devel filelist
* Tue Oct 25 2005 - rhafer@suse.de
- added LDAP_DEPRECATED to CFLAGS to build correctly with·
  OpenLDAP 2.3
* Fri Sep 02 2005 - okir@suse.de
- Removed +x permissions on opensc.conf (#114849)
* Thu Jul 14 2005 - okir@suse.de
- Updated to latest upstream version
- Added missing documentation files (#75425)
* Fri Mar 04 2005 - meissner@suse.de
- fixed gcc4 compilation.
* Fri Jan 21 2005 - okir@suse.de
- Updated to latest upstream version (0.9.4)
* Thu Nov 18 2004 - ro@suse.de
- use kerberos-devel-packages
* Mon Jul 19 2004 - adrian@suse.de
- fix file list
* Mon Jul 12 2004 - adrian@suse.de
- update to version 0.8.1
* Fri Mar 19 2004 - okir@suse.de
- Fixed permissions and path names of some include files (#36432)
* Fri Jan 16 2004 - kukuk@suse.de
- Add pam-devel to neededforbuild
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig and %%defattr
* Mon Aug 04 2003 - okir@suse.de
- Build fixes for x86_64/ppc64
- use a version string other than "CVS" (#28423)
* Fri Aug 01 2003 - okir@suse.de
- Updated to most recent upstream snapshot
* Thu Jun 12 2003 - kukuk@suse.de
- Fix filelist and permissions
* Tue Jun 03 2003 - ro@suse.de
- added rest of static libs to devel filelist
- remove unpackaged files from buildroot
* Wed Jan 15 2003 - ro@suse.de
- use sasl2
* Thu Dec 05 2002 - okir@suse.de
- fixed x86_64 build problem
- updated to latest upstream
* Fri Nov 29 2002 - okir@suse.de
- updated to current CVS snapshot
* Fri Aug 09 2002 - okir@suse.de
- added missing libs to files list
* Thu Jul 04 2002 - ro@suse.de
- added heimdal-devel to neededforbuild to make libtool happy
* Fri Jun 28 2002 - schwab@suse.de
- Fix bootstrap script.
- Use correct libtool macros.
* Mon May 27 2002 - sf@suse.de
-  @libdir@ added to Makefile.am to use correct dirs for
  */lib */lib64
* Tue Apr 30 2002 - okir@suse.de
- Initial check-in
